#pragma once
#include "thread/Task.h"

namespace Scheduler
{
    void init();
    void yield();
    void sleep(unsigned long ms);
    void add_kernel_task(void (*task)(void));

    Task* current_task();

    void task_yield(Context* context);
    void task_tick(Context* context);
}