#pragma once
#include "interrupts/Context.h"

struct Task
{
    uint64_t id;
    Context regs;

    int64_t task_sleep = 0;
    int64_t task_time = 0;

    Task* next_task = nullptr;
};

void set_context_from_task(Task& task, Context* ctx);
void get_context_to_task(Task& task, Context* ctx);